Bug 420584 - QIF importer ignores new investments
Summary: QIF importer ignores new investments
Status: RESOLVED FIXED
Alias: None
Product: kmymoney
Classification: Unclassified
Component: importer (show other bugs)
Version: git (master)
Platform: Other Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: KMyMoney Devel Mailing List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-04-25 19:01 UTC by Dawid Wróbel
Modified: 2020-06-05 04:08 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: 5.1.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dawid Wróbel 2020-04-25 19:01:24 UTC
SUMMARY
QIF importer does not add new securities to the statement, which results in them being ignored at the time of import with "Transactions involving this security will be ignored" error.


STEPS TO REPRODUCE
1. Import QIF with new securities

OBSERVED RESULT
New securities are ignored

EXPECTED RESULT
Securities should be automatically added or user should be prompted to add them by hand. The latter is preferred since the default security properties are not always appropriate (currency, fraction, price precision, etc.).


SOFTWARE/OS VERSIONS
Windows: 
macOS: 
Linux/KDE Plasma: 
(available in About System)
KDE Plasma Version: 
KDE Frameworks Version: 
Qt Version: 

ADDITIONAL INFORMATION
Comment 1 Dawid Wróbel 2020-04-25 19:16:20 UTC
Git commit 6e19d946bbf8543c7b7b02ba8b59cc7603ff0891 by Dawid Wróbel.
Committed on 25/04/2020 at 19:16.
Pushed by wrobelda into branch 'master'.

Start New Investment Wizard for new securities

When importing investment transactions, don't ignore previously unknown
securities and instead ask user to create them using a wizard.

M  +6    -10   kmymoney/converter/mymoneystatementreader.cpp

https://commits.kde.org/kmymoney/6e19d946bbf8543c7b7b02ba8b59cc7603ff0891
Comment 2 Thomas Baumgart 2020-05-01 05:46:09 UTC
Git commit 101e5f665f1e9583887c97126d5c9b7674935433 by Thomas Baumgart.
Committed on 01/05/2020 at 05:43.
Pushed by tbaumgart into branch '5.0'.

Start New Investment Wizard for new securities

When importing investment transactions, don't ignore previously unknown
securities and instead ask user to create them using a wizard.
FIXED-IN: 5.0.9
(cherry picked from commit 6e19d946bbf8543c7b7b02ba8b59cc7603ff0891)

M  +6    -10   kmymoney/converter/mymoneystatementreader.cpp

https://commits.kde.org/kmymoney/101e5f665f1e9583887c97126d5c9b7674935433